Subject: RE: [dhcwg] Second dhc wg last call on "Time Protocol Servers andTime Offset Options for IPv6 DHCP"

From: "Bernie Volz \(volz\)" <[email-masked]>
Date: Wed, 7 Jun 2006 15:10:33 -0400

I second (or third) that. Let's advance "Time Protocol Servers and Time
Offset Options for IPv6 DHCP".

I suspect that an O/S vendor will, once Eliot's option(s) are also
available, will want to request the options that give the client the
most complete information. 

- Bernie 

> -----Original Message-----
> From: Ted Lemon [mailto:[email-masked]] 
> Sent: Wednesday, June 07, 2006 2:05 PM
> To: John Schnizlein (jschnizl)
> Cc: [email-masked]; Stig Venaas; Ralph Droms (rdroms)
> Subject: Re: [dhcwg] Second dhc wg last call on "Time 
> Protocol Servers andTime Offset Options for IPv6 DHCP"
> 
> John Schnizlein wrote:
> > Making these separate options enables hosts to use the the 
> Parameter 
> > Request List option (55) to indicate their preference to 
> the DHCP server.
> Not to single out John, but I think this discussion is 
> creating heat and 
> not light.   The time offset option is reasonably fine for cable 
> modems.   Requiring them to implement the fancier option Eliot is 
> working on is not necessary.   It would be a shame if regular O.S. 
> vendors implemented the time offset option and not Eliot's 
> option, but I 
> haven't seen any sign that this has happened in DHCPv4-land, and so I 
> see no reason to presume that it will happen in DHCPv6-land.   The 
> time-offset option simply isn't adequate for any operating 
> system with 
> stable storage.
> 
> So, with respect, I would like to suggest that it is fine to 
> pass this 
> draft as is.   I think John agrees with this.   Eliot doesn't, and I 
> respect his reasons for objecting, but I don't think they need 
> necessarily hold back the advancement of this draft.
> 
> My vote is to pass the draft through the last call as written.
> 
> 
> 
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/dhcwg
> 

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: Ted Lemon <[email-masked]>
Date: Wed, 07 Jun 2006 12:59:00 -0700

Stig Venaas wrote:
> How about adding some text to Ralph's draft summarizing the issues 
> with offset and saying that one should rather implement what is 
> specified in Eliot's?
I think we're dropping into the IETF slow zone here.   There's really no 
need to put any admonitory language in here.   We can put it in Eliots 
draft if necessary, since he's revising it, but the fact is that nobody 
who's doing an operating system is going to use the time offset as more 
than a UI hint, because it's incomplete.   It's useful for deciding 
where to put the cursor in the system time zone configuration UI, but 
it's not useful for actually setting the timezone on _any_ modern 
operating system, and so there is zero risk that it will be used this 
way.   Let's not rev the document for this.

---

From: Eliot Lear <[email-masked]>
Date: Wed, 07 Jun 2006 22:02:57 +0200

Ted Lemon wrote:
> I think we're dropping into the IETF slow zone here.   There's really
> no need to put any admonitory language in here.   We can put it in
> Eliots draft if necessary, since he's revising it, but the fact is
> that nobody who's doing an operating system is going to use the time
> offset as more than a UI hint, because it's incomplete.   It's useful
> for deciding where to put the cursor in the system time zone
> configuration UI, but it's not useful for actually setting the
> timezone on _any_ modern operating system, and so there is zero risk
> that it will be used this way.   Let's not rev the document for this.

Right.  If the group is going to go forward with the Time Protocol
Servers draft as is, you needn't update it.  But I believe we'll need to
have a healthy discussion on list about whether or not to deprecate the
offset function, and whether to do it now or later.  I will not, by the
way, be at Montreal.

Eliot

---

From: Stig Venaas <[email-masked]>
Date: Wed, 07 Jun 2006 21:34:27 +0200

> most complete information. 

I don't think offset is a good solution, but I understand why having the 
option makes life easier for those that use the DHCPv4 offset option. It 
might be good if Ralph's draft has some word of caution...

How about adding some text to Ralph's draft summarizing the issues with 
offset and saying that one should rather implement what is specified in 
Eliot's?

Stig